/**
 *    author:  wxhtzdy
 *    created: 19.11.2022 11:59:31
**/
#include <bits/stdc++.h>

using namespace std;

int main() {
  ios::sync_with_stdio(false);
  cin.tie(0);  
  string s, t;
  cin >> s >> t;
  string ans = "";
  while (s != "" || t != "") {
    if (s == "") {
      ans += t.back();
      t.pop_back();
    } else if (t == "") {
      ans += s.back();
      s.pop_back();
    } else {
      char cs = s.back();
      char ct = t.back();
      s.pop_back();
      t.pop_back();
      if (cs == ct) {
        ans += cs;
        ans += ct;
      } else if (cs < ct) {
        ans += ct;
      } else {
        ans += cs;
      }
    }
  }
  reverse(ans.begin(), ans.end());
  cout << ans << '\n';                                                     
  return 0;
}